Package serp.bytecode

# Class BootstrapMethods

java.lang.Object
serp.bytecode.Attributes
serp.bytecode.Attribute
serp.bytecode.BootstrapMethods

All Implemented Interfaces:
  `BCEntity`, `VisitAcceptor`

public class BootstrapMethods extends Attribute

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visitor)`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.
`BootstrapMethodElement[]`
`getBootstrapMethods()`
`int`
`getNumberBootstrapMethods()`
`void`
`setBootstrapMethods(BootstrapMethodElement[] methods)`

### Methods inherited from class serp.bytecode.Attribute

`getClassLoader, getName, getNameIndex, getOwner, getPool, getProject, isValid`

### Methods inherited from class serp.bytecode.Attributes

`addAttribute, addAttribute, clearAttributes, getAttribute, getAttributes, getAttributes, removeAttribute, removeAttribute, setAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### acceptVisit

public void acceptVisit(BCVisitor visitor)
Description copied from interface: `VisitAcceptor`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.

### getNumberBootstrapMethods

public int getNumberBootstrapMethods()

### getBootstrapMethods

public BootstrapMethodElement[] getBootstrapMethods()

### setBootstrapMethods

public void setBootstrapMethods(BootstrapMethodElement[] methods)